#1529 closed defect (fixed)

utime implementation not fully following the POSIX spec

Reported by: Vinu Rajashekhar Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: score Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, chrisj@…, vinutheraj@… Blocked By:
Blocking:

Description

The utime implementation in cpukit/libcsupport/src/utime.c is not fully following the POSIX spec. The spec at http://www.opengroup.org/onlinepubs/009695399/functions/utime.html says that "If times is a null pointer, the access and modification times of the file shall be set to the current time.". This part of the spec is not being followed currently by the RTEMS utime implementation.

Also note that another part of the spec says that "Upon successful completion, utime() shall mark the time of the last file status change, st_ctime, to be updated". This is followed by RFS, but not by IMFS. The concerned file is imfs_utime.c

Attachments (3)

utime.diff (715 bytes) - added by Vinu Rajashekhar on May 23, 2010 at 11:09:31 AM.
Patch for utime.c
imfs_utime.diff (304 bytes) - added by Vinu Rajashekhar on May 23, 2010 at 11:17:05 AM.
Patch for imfs_utime.c
ChangeLog-utime (291 bytes) - added by Vinu Rajashekhar on Jun 18, 2010 at 9:31:36 AM.
Combined ChangeLog? for the patches

Download all attachments as: .zip

Change History (7)

Changed on May 23, 2010 at 11:09:31 AM by Vinu Rajashekhar

Attachment: utime.diff added

Patch for utime.c

comment:1 Changed on May 23, 2010 at 11:10:59 AM by Vinu Rajashekhar

Cc: Vinu Rajashekhar added

Changed on May 23, 2010 at 11:17:05 AM by Vinu Rajashekhar

Attachment: imfs_utime.diff added

Patch for imfs_utime.c

comment:2 Changed on Jun 16, 2010 at 6:19:29 PM by Joel Sherrill

Owner: changed from Joel Sherrill to Chris Johns

comment:3 Changed on Jun 17, 2010 at 12:27:16 AM by Chris Johns

Status: newassigned

Changed on Jun 18, 2010 at 9:31:36 AM by Vinu Rajashekhar

Attachment: ChangeLog-utime added

Combined ChangeLog? for the patches

comment:4 Changed on Jul 1, 2010 at 3:29:33 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed, joel.sherrill@oarcorp.com

Committed. Thanks.

Note: See TracTickets for help on using tickets.